<template>
  <div class="mx-auto px-10 py-6">
    <div class="max-w-7xl mx-auto px-4 sm:px-6 md:px-8">
      <h1 class="text-2xl font-semibold text-gray-900">Discussions</h1>
    </div>
    <div class="overflow-hidden shadow rounded-lg my-6" v-if="discussions">
      <div v-for="discussion in discussions" :key="discussion.id" class="flex justify-between">
        <h1>{{ discussion.project.title }}</h1>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
export default {
  name: 'Discussions',
  data () {
    return {
      discussions: []
    }
  },
  computed: {
    ...mapGetters('discussion', ['allDiscussions'])
  },
  methods: {
    ...mapActions('discussion', ['getUserDiscussions'])
  },
  async mounted () {
    await this.getUserDiscussions()
    this.discussions = this.allDiscussions
  }
}
</script>
